Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111 - patch XFree86-3.3.3-ru_SU.patch does not work - it's wrong.
Summary: patch XFree86-3.3.3-ru_SU.patch does not work - it's wrong.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-10 21:43 UTC by Leonid Kanter
Modified: 2012-04-23 18:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-10 22:19:40 UTC


Attachments (Terms of Use)

Description Leonid Kanter 1999-02-10 21:43:53 UTC
These lines:

+ru_SU
ru_SU.KOI8-R
+ru_SU.KOI8-R
ru_SU.KOI8-R

are incorrect, because there are no native support for ru_SU
in
XFree and ru_SU may be present in left column only. Try to
type somewhere in xterm:
LC_ALL=ru_SU netscape
and you will se that ru_SU locale is not supported bu C
library.

Solution is:
--- XFree86-3.3.3.1/xc/nls/locale.alias.ru_SU   Tue Jan 26
15:58:06 1999
+++ XFree86-3.3.3.1/xc/nls/locale.alias Tue Jan 26 16:00:01
1999
@@ -214,9 +214,9
@@
 ru
ru_RU.ISO8859-5
 ru_RU
ru_RU.ISO8859-5
 ru_RU.iso88595
ru_RU.ISO8859-5
-ru_SU
ru_RU.ISO8859-5
+ru_SU
ru_RU.KOI8-R
+ru_SU.KOI8-R
ru_RU.KOI8-R
 ru_SU.ISO8859-5
ru_RU.ISO8859-5
-ru_SU.KOI8-R
ru_RU.KOI8-R
 sh
sh_YU.ISO8859-2
 sh_HR.iso88592
sh_HR.ISO8859-2
 sh_YU
sh_YU.ISO8859-2

This patch is well tested by DonLUG members, xkb map
selection latest Xconfigurator work very good with it.


------- Email Received From  "Leon B.Kanter" <leon@geon.donetsk.ua> 02/10/99 16:46 -------

Comment 1 Preston Brown 1999-02-10 22:19:59 UTC
this will be fixed in rawhide by tomorrow.


Note You need to log in before you can comment on or make changes to this bug.